/***************************************************************************

     File: runio.c
 Contents: Functions to run example programs in Unix environment
  Part of: The Xmtutor application
   Author: Jan Borchers (job@ira.uka.de)

  $Source: /home/mit1/job/distribution/Xmtut/RCS/runio.c,v $
$Revision: 1.3 $
    $Date: 1994/10/17 18:10:01 $
   $State: Rel $
  $Locker:  $

$Log: runio.c,v $
 * Revision 1.3  1994/10/17  18:10:01  job
 * First revision under version control.
 *

***************************************************************************/


/**************************************************************************/
/*                                                                        */
/* COPYRIGHT NOTICE:                                                      */
/* -----------------                                                      */
/* All parts of the Xmtutor application and the sample Motif tutorial are */
/* Copyright (C) 1993,1994 Jan Borchers.                                  */
/*                                                                        */
/**************************************************************************/


#include <stdio.h>						/* Debugging printf's etc. */
#include <string.h>						/* C string functions (sprintf, strlen) */
#include <stdlib.h>						/* system() */
#include <X11/Intrinsic.h>					/* Xt structures & variables */
#include <X11/StringDefs.h>					/* Standard Xt string constant definitions */
#include <Xm/Xm.h>						/* Common Motif variables */

#include "IMPORT.H"
#include "sectionio.h"

#include "EXPORT.H"
#include "runio.h"


void RunExample (void)		/* Runs the current example program as a separate Motif application */
{
  int status;
  String commandLine;
  
    {
      commandLine = (String) XtMalloc ((strlen ("xrdb -merge ") + strlen (UserResourceName())) * sizeof (char));
      sprintf (commandLine, "xrdb -merge %s", UserResourceName ());
      /* printf ("Running '%s'...\n", commandLine); */
      status = system (commandLine);
      /* printf ("Return status = %u\n", status); */
       
      commandLine = (String) XtRealloc (commandLine, (strlen (ExecName ()) + 1) * sizeof (char));
      sprintf (commandLine, "%s&", ExecName());
      /* printf ("Running '%s'...\n", commandLine); */
      status = system (commandLine);
      /* printf ("Return status = %u\n", status); */
      XtFree (commandLine);
    }
}
